[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / ExtractMethodsMixin

# Class: ExtractMethodsMixin

Defined in: [packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:41](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts#L41)

## Extended by

- [`ExtractMethodMixin`](ExtractMethodMixin.md)

## Constructors

### new ExtractMethodsMixin()

> **new ExtractMethodsMixin**(): [`ExtractMethodsMixin`](ExtractMethodsMixin.md)

#### Returns

[`ExtractMethodsMixin`](ExtractMethodsMixin.md)

## Methods

### extractMethods()

> `protected` **extractMethods**(`formDefinition`, `controlId`): `Map`\<`string`, [`UseMethodDefinition`](../interfaces/UseMethodDefinition.md)\<`unknown`, `unknown`, [`UseMethodConfig`](../interfaces/UseMethodConfig.md)\<`unknown`, `unknown`, `any`, `any`\>\>\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:43](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts#L43)

#### Parameters

##### formDefinition

`FormDefinition`

##### controlId

`string`

#### Returns

`Map`\<`string`, [`UseMethodDefinition`](../interfaces/UseMethodDefinition.md)\<`unknown`, `unknown`, [`UseMethodConfig`](../interfaces/UseMethodConfig.md)\<`unknown`, `unknown`, `any`, `any`\>\>\>
